## Index

### Functions

- emitBetween

## Functions

### emitBetween

- emitBetween<T>(start$: Stream<any>, end$: Stream<any>): Transform<T, T>

- - Defined in src/xstreamHelpers.ts:10

  Can be composed with a Stream to make it start emitting when start$ fires and stop when stop$ fires

  #### Type parameters

  - #### T

  #### Parameters

  - ##### start$: Stream<any>

    the event stream to start emitting

  - ##### end$: Stream<any>

  #### Returns Transform<T, T>

  a function to be composed with a Stream

Generated using TypeDoc